# service::is-installed

[This is preliminary documentation and subject to change.]

Returns a value indicating whether the specified service is installed on a given machine.

### Usage

`bool service::is-installed(service, machineName)`

### Parameters

Name | Type | Description
--- | --- | ---
service | string | The short name that identifies the service to the system.
machineName | string | The computer on which the service resides.

### Return Value

true if the service is installed; otherwise, false.

### Remarks

For the machineName parameter, you can use "." or a zero-length String to represent the local computer.

### Examples

- The following example starts the "World Wide Web Publishing" service if it's installed on the local computer.

      <if test="${service::is-installed('World Wide Web Publishing', '.')}">
          <servicecontroller action="Start" service="World Wide Web Publishing" />
      </if>

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)